当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [讨论]一些依赖关系的问题
帖子发表于 : 2006-10-14 21:22 

注册: 2006-10-02 13:47
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
依照贴子上的方法想装个三D桌面,但把上面的源加到自己源里头,更新时出现:
正在解压缩将用于更替的包文件 poppler-utils ...
正预备替换 xserver-xorg-driver-i810 1:1.4.1.3-0ubuntu6 (使用 .../xserver-xorg-driver-i810_1%3a1.5.0.1-0ubuntu2_i386.deb) ...
正在解压缩将用于更替的包文件 xserver-xorg-driver-i810 ...
在处理时有错误发生:
/var/cache/apt/archives/libgl1-mesa_6.5.1+cvs20060824_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
:~$ sudo apt-get install compiz xserver-xgl libgl1-mesa xserver-xorg libglitz-glx1 compiz-gnome
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
xserver-xorg 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
compiz: 依赖: compiz-core 但是它将不会被安装
依赖: compiz-plugins (>= 0.2) 但是它将不会被安装
compiz-gnome: 依赖: compiz-core (= 0.0.13.38-0ubuntu3) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
libgl1-mesa
下列的软件包将被升级:
libgl1-mesa
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 1 个软件未被升级。
有 16 个软件包没有被完全安装或卸载。
需要下载 0B/165kB 的软件包。
解压缩后会消耗掉 4096B 的额外空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 131779 个文件和目录。)
正预备替换 libgl1-mesa 6.4.1-0ubuntu8 (使用 .../libgl1-mesa_6.5.1+cvs20060824_i386.deb) ...
正在解压缩将用于更替的包文件 libgl1-mesa ...
dpkg:处理 /var/cache/apt/archives/libgl1-mesa_6.5.1+cvs20060824_i386.deb (--unpack)时出错:
无法创建“./usr/lib/libGL.so.1.2”: No such file or directory
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/libgl1-mesa_6.5.1+cvs20060824_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

然后是每次更新都会出现上面的错误
不知这算不算bug吗,有没办法解决这个问题


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-10-14 23:21 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
Sub-process /usr/bin/dpkg returned an error code
自己搜索这个。就是把破损包修复好。


_________________
● 鸣学


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-10-14 23:26 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
你看得那里的帖子?那个compiz已经变成beryl了阿。
搜论坛,关键词beryl。


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-10-22 17:20 

注册: 2006-10-02 13:47
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上的两位朋友
用了sudo aptitude dist-upgrade 就好了
我现在都是用aptitude 代替apt-get了,感觉aptitude好用多了,对于处理依赖关系方面,它做得比apt-get好


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译